.header-profile-welcome-link,
.header-profile-login-link,
.header-profile-register-link,
.header-profile-loading-link {
	@extend %header-link;
	color: $sc-color-secondary;
	padding: 0 $sc-padding-lv2;

	&:hover {
		color: $sc-color-link-hover;
	}

	font-family: $sc-font-pitchsans-medium;
}

.header-profile-login-link {
	padding-left: 0;
}

.header-profile-welcome-link{
	color: $sc-color-secondary;
}

.header-profile-welcome-link-name{
	display: block;
	text-overflow: ellipsis;
	white-space: nowrap;
	overflow: hidden;

	@media (min-width: $screen-md-min){
		display: inline;
	}
}

.header-profile-welcome-user-icon{
	@extend .fa;
	@extend %fa-user;

	float:left;
	font-size: $sc-font-size-l;
	padding: $sc-padding-lv1 0;
	margin-right: $sc-margin-lv3;

	@media (min-width: $screen-md-min){
		display: none;
	}
}

.header-profile-welcome-carret-icon{
	@extend .fa;
	@extend %fa-angle-down;
	display:none;
	margin-left: $sc-margin-lv1;

	@media (min-width: $screen-md-min){
		display: inline;
	}
}

//////////////////////////////////////////////////////////
//login register

// KODELLA EDIT
.header-profile-menu-login{
	color: $sc-color-theme-700;

	font-family: $sc-font-pitchsans-medium;
}

.header-profile-menu-login-container{
	margin-right:$sc-margin-lv1;
}

.header-profile-menu-login li{
	display:inline-block;
}

.header-profile-login-icon{
	@extend .fa;
	@extend %fa-user;
	font-size: $sc-font-size-xl;
	margin-right: $sc-margin-lv2;
}

//////////////////////////////////////////////////////////
//my account menu

// KODELLA EDIT
.header-profile-menu-myaccount-container {
	@extend .header-menu-level-container;
	padding: $sc-padding-lv3 0 $sc-padding-lv7;
	z-index: 1002;

	font-family: $sc-font-pitchsans-medium;
}

.open .header-profile-welcome-link:before {
	position: absolute;
	top: 50px;
	left: 50%;
	margin-left: -7.5px;
	border-right: 7px solid transparent;
	border-bottom: 7px solid $sc-neutral-shade-0;
	border-left: 7px solid transparent;
	border-bottom-color: transparentize($sc-neutral-shade-500, 1-0.2);
	content: '';
	display: none;

	@media (min-width: $screen-lg-min) {
		display: block;
	}
}

.open .header-profile-welcome-link:after {
	position: absolute;
	top: 51px;
	left: 50%;
	margin-left: -6.5px;
	border-right: 6px solid transparent;
	border-bottom: 6px solid $sc-neutral-shade-0;
	border-left: 6px solid transparent;
	content: '';
	z-index: 9999;
	display: none;

	@media (min-width: $screen-lg-min) {
		display: block;
	}
}

.header-profile-loading-icon{}
.header-profile-loading-indicator{}